<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:background="@drawable/background_shape_white_radius_12_top_only"
        android:descendantFocusability="blocksDescendants">

        <View
            android:id="@+id/bgView"
            android:layout_width="match_parent"
            android:layout_height="98dp"
            android:background="@drawable/vspace_dialog_top_background"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:layout_width="88dp"
            android:layout_height="20dp"
            android:layout_marginTop="39dp"
            android:src="@drawable/ic_smooth_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/descTv"
            android:layout_width="280dp"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:includeFontPadding="false"
            android:lineSpacingExtra="4dp"
            android:textColor="@color/text_secondary"
            android:textSize="14sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/bgView"
            tools:text="《XXX》需先安装畅玩服务组件，安装后即可进入游戏体验新鲜功能~" />

        <LinearLayout
            android:id="@+id/iconContainer"
            android:layout_width="wrap_content"
            android:layout_height="72dp"
            android:layout_marginTop="24dp"
            android:gravity="center_horizontal"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/descTv">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/ic_smooth_feature_speeder" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="8dp"
                    android:includeFontPadding="false"
                    android:text="@string/speeder"
                    android:textColor="@color/smooth_feature_font_color"
                    android:textSize="@dimen/secondary_size" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/ic_smooth_feature_cloud_archive" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="8dp"
                    android:includeFontPadding="false"
                    android:text="@string/cloud_archive"
                    android:textColor="@color/smooth_feature_font_color"
                    android:textSize="@dimen/secondary_size" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="32dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="48dp"
                    android:layout_height="48dp"
                    android:src="@drawable/ic_smooth_feature_privacy" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="8dp"
                    android:includeFontPadding="false"
                    android:text="@string/privacy_protect"
                    android:textColor="@color/smooth_feature_font_color"
                    android:textSize="@dimen/secondary_size" />

            </LinearLayout>

        </LinearLayout>

        <com.gh.gamecenter.feature.view.DownloadButton
            android:id="@+id/downloadBtn"
            android:layout_width="280dp"
            android:layout_height="40dp"
            android:layout_marginTop="24dp"
            android:layout_marginBottom="56dp"
            app:download_button_show_progress="true"
            app:download_button_text_size="@dimen/primary_text_size"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iconContainer" />

        <TextView
            android:id="@+id/privacyPolicyTv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="24dp"
            android:text="《畅玩助手服务组件隐私协议》"
            android:textColor="@color/text_theme"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <View
            android:id="@+id/drag_close"
            android:layout_width="match_parent"
            android:layout_height="64dp"
            android:clickable="false"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>
